#!/bin/bash

#########################################################################
# This program is free software: you can redistribute it and/or modify  #
# it under the terms of the version 3 of the GNU General Public License #
# as published by the Free Software Foundation.                         #
#                                                                       #
# This program is distributed in the hope that it will be useful, but   #
# WITHOUT ANY WARRANTY; without even the implied warranty of            #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      #
# General Public License for more details.                              #
#                                                                       #
# You should have received a copy of the GNU General Public License     #
# along with this program. If not, see <http://www.gnu.org/licenses/>.  #
#                                                                       #
# Written by and Copyright (C) Francois Fleuret                         #
# Contact <francois@fleuret.org> for comments & bug reports             #
#########################################################################

TRASH=$(mktemp -d /tmp/trash.XXXXXX)

# "pdf:fig" "pdf:png" "pdf:pgm"

for i in "nav:tex" "snm:tex" "toc:tex" "blg:tex" \
         "idx:tex" "ilg:tex" "ind:tex" "lof:tex" "lot:tex" "lou:tex" \
         "dvi:tex" "log:tex" "aux:tex" "bbl:tex" \
         "ps:tex" "pdf:tex" "out:tex" "tpt:tex" "brf:tex" \
         "eps:fig" "eps:png" "eps:pgm" \
         "o:cc" "o:c" ; do
    PRODUCED=$(echo $i | cut -f 1 -d:)
    SOURCE=$(echo $i | cut -f 2 -d :)
    for f in *.$PRODUCED; do
        ORIGINAL=${f/.$PRODUCED/.$SOURCE}
        if [ -f "${ORIGINAL}" ]; then
            echo "move $f to ${TRASH} ($ORIGINAL exists)"
            mv $f ${TRASH}
        fi
    done
done

for i in "mozilla.ps" "a.out"; do
    if [ -f "$i" ]; then
        echo "move $i to ${TRASH}"
        mv $i ${TRASH}
    fi
done

for f in $(find -type f -executable); do
    if [ -f ${f}.cc ] || [ -f ${f}.c ]; then
        echo "move $f to ${TRASH} (source code exists)"
        mv $f ${TRASH}
    fi
done
